Bug 817117 - bash-completion of subscription-manager environments --<TAB><TAB> is not working
bash-completion of subscription-manager environments --<TAB><TAB> is not working
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Bryan Kearney
Entitlement Bugs
Depends On:
Blocks: 738066
  Show dependency treegraph
Reported: 2012-04-27 14:20 EDT by John Sefler
Modified: 2012-06-20 08:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 08:56:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Sefler 2012-04-27 14:20:34 EDT
Description of problem:

Version-Release number of selected component (if applicable):
[root@jsefler-r63-server ~]# rpm -q subscription-manager
[root@jsefler-r63-server ~]# rpm -q bash-completion

How reproducible:

Steps to Reproduce:
With bash-completion installed, type on the command line...
[root@jsefler-r63-server ~]# subscript<TAB> envir<TAB> --<TAB><TAB>
Actual results:
[root@jsefler-r63-server ~]# subscription-manager environments --

Expected results:
[root@jsefler-r63-server ~]# subscription-manager environments --
--help           --proxy          --proxyuser      
--password       --proxypassword  --username 

Additional info:
Comment 2 Adrian Likins 2012-04-30 09:36:35 EDT
commit 5df8b207fca99d61004dd1624892284504d06048
Author: Adrian Likins <alikins@redhat.com>
Date:   Fri Apr 27 15:39:09 2012 -0400

    817117: fix completion of environment command
Comment 4 John Sefler 2012-05-03 18:51:49 EDT
Verifying Version...
[root@jsefler-r63-server ~]# rpm -q subscription-manager bash-completion

[root@jsefler-r63-server ~]# subscription-manager environments --
--help           --password       --proxypassword  --username
--org            --proxy          --proxyuser 

VERIFIED: subscription-ma<TAB> env<TAB> --<TAB><TAB> completed with that^.
Comment 6 errata-xmlrpc 2012-06-20 08:56:54 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.